# SpriteLoader Class Reference

Inheritance diagram for SpriteLoader:

## Data Structures
struct | CommonPixel
struct | Sprite
| Structure for passing information from the sprite loader to the blitter. More...
## Public Member Functions
virtual bool | LoadSprite (SpriteLoader::Sprite *sprite, uint8 file_slot, size_t file_pos, SpriteType sprite_type)=0
| Load a sprite from the disk and return a sprite struct which is the same for all loaders.

## Detailed Description

Definition at line 18 of file spriteloader.hpp.

The documentation for this class was generated from the following file:

- src/spriteloader/spriteloader.hpp